HAJNDI (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.jboss.HAJNDI interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.jboss
Interface HAJNDI

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface HAJNDI

extends LogicalElement

Represents a HAJNDI

Naming Rules:
  0="UDPMulticastAddress,partitionName" 1="managedSystemName"
Persistable:
  true
Table Name:
  JBHAJNDI

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAutoDiscoverAddress()`
`int` | `getAutoDiscoveryGroup()`
`int` | `getBacklog()`
`java.lang.String` | `getBindAddress()`
`java.lang.String` | `getName()`
`JBossCluster` | `getParent()`
`java.lang.String` | `getPartitionName()`
`int` | `getPort()`
`int` | `getRMIPort()`
`java.lang.String` | `getStateString()`
`java.lang.String` | `getUDPMulticastAddress()`
`boolean` | `hasAutoDiscoverAddress()`
`boolean` | `hasAutoDiscoveryGroup()`
`boolean` | `hasBacklog()`
`boolean` | `hasBindAddress()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`boolean` | `hasPartitionName()`
`boolean` | `hasPort()`
`boolean` | `hasRMIPort()`
`boolean` | `hasStateString()`
`boolean` | `hasUDPMulticastAddress()`
`void` | `setAutoDiscoverAddress(java.lang.String address)`
`void` | `setAutoDiscoveryGroup(int group)`
`void` | `setBacklog(int backlog)`
`void` | `setBindAddress(java.lang.String ip)`
`void` | `setName(java.lang.String name)`
`void` | `setParent(JBossCluster jbCluster)`
`void` | `setPartitionName(java.lang.String name)`
`void` | `setPort(int port)`
`void` | `setRMIPort(int port)`
`void` | `setStateString(java.lang.String state)`
`void` | `setUDPMulticastAddress(java.lang.String address)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getPartitionName

    java.lang.String getPartitionName()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPartitionName

    void setPartitionName(java.lang.String name)

### hasPartitionName

    boolean hasPartitionName()

### getUDPMulticastAddress

    java.lang.String getUDPMulticastAddress()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUDPMulticastAddress

    void setUDPMulticastAddress(java.lang.String address)

### hasUDPMulticastAddress

    boolean hasUDPMulticastAddress()

### getParent

    JBossCluster getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setParent

    void setParent(JBossCluster jbCluster)

### hasParent

    boolean hasParent()

### getRMIPort

    int getRMIPort()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRMIPort

    void setRMIPort(int port)

### hasRMIPort

    boolean hasRMIPort()

### getStateString

    java.lang.String getStateString()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStateString

    void setStateString(java.lang.String state)

### hasStateString

    boolean hasStateString()

### getBacklog

    int getBacklog()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBacklog

    void setBacklog(int backlog)

### hasBacklog

    boolean hasBacklog()

### getPort

    int getPort()
                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPort

    void setPort(int port)

### hasPort

    boolean hasPort()

### getAutoDiscoverAddress

    java.lang.String getAutoDiscoverAddress()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAutoDiscoverAddress

    void setAutoDiscoverAddress(java.lang.String address)

### hasAutoDiscoverAddress

    boolean hasAutoDiscoverAddress()

### getBindAddress

    java.lang.String getBindAddress()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBindAddress

    void setBindAddress(java.lang.String ip)

### hasBindAddress

    boolean hasBindAddress()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getAutoDiscoveryGroup

    int getAutoDiscoveryGroup()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAutoDiscoveryGroup

    void setAutoDiscoveryGroup(int group)

### hasAutoDiscoveryGroup

    boolean hasAutoDiscoveryGroup()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD